GFSCHED(1)

NAME
gfsched - schedule and display available file system nodes

SYNOPSIS

gfsched -f gfarm-URL [-D domain-name] [-n number] [-LMOSclw]

gfsched [-P gfarm-URL] [-D domain-name] [-n number] [-LMOSlw]

DESCRIPTION

The gfsched command with the -f gfarm-URL option displays available file system nodes which have a file replica of the specified gfarm-URL.

When the -f gfarm-URL option is not specified, the gfsched command just displays available file system nodes. In this case, you can specify a metadata server by the -P gfarm-URL option, if necessary.

OPTIONS

-D domain-name
    Limits file system node by specifying a domain name or a hostname.

-c
    Displays scheduling information for a file creation, if the file specified by -f doesn't exist.

    Currently, this option creates the specified file. But please note that this behavior may be changed in future.

-L
    Suppresses authentication check. Without this option, the scheduler checks whether the user will be successfully authenticated with the hosts or not. This option omits the check to make scheduling faster, but that creates a risk that hosts which fail authentication with the user may be scheduled.

-M
    Suppresses client-side scheduling and only performs metadata-server-side scheduling. This option makes scheduling faster, but also creates a risk that hosts which is network-unreachable or fails authentication with the user may be scheduled.

-O
    Displays filesystem nodes where the hosts are other than the host that the gfsched command is running.

-P gfarm-URL
    Specifies a gfarm-URL or a pathname to identify a metadata server which is used for the scheduling. This option conflicts with the -f option.

-S
    Displays a filesystem node where the host is same with the host that the gfsched command is running.

-f gfarm-URL
    The gfsched command schedules file system nodes which have a replica of a file specified by this option. This option conflicts with the -P option.

-l
    Long format. This option displays port numbers as well as hostnames. Note that the display format of this option may be changed in future.

-n number
    Displays specified number of file system nodes at most. If this option is not specified, it displays all available nodes.

-w
    Schedules with write-mode. When this option is specified, file system nodes which don't have enough free space won't be displayed.

    When both this option and the -f are specified, and if the file is already opened by an existing process with write-mode, the gfsched command only displays one file system node which is assigned for writing to the file.

-?
    Displays a list of command options.

EXAMPLES

The following is an example to inquire file system nodes that the metadata server thinks they are currently working.

    $ gfsched -M